## dcl-g77 5.3.1-2

=== src/env2/dcltone/Makefile ===
#
#       Makefile for dcltone
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

SRCNAME = dcltone.f
BINNAME = dcltone$(EXT)

all: $(LBINDIR)/$(BINNAME)

$(LBINDIR)/$(BINNAME): $(BINNAME)
	@echo "Installing executable program $(BINNAME) into local bin directory"
	@$(CP) $(BINNAME) $(LBINDIR)/$(BINNAME)

$(BINNAME): $(SRCNAME)
	$(FC) $(FFLAGS) -o $(BINNAME) $(SRCNAME) -L$(LLIBDIR) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) *.o *~ $(BINNAME) core

=== src/env2/dcltrf/Makefile ===
#
#       Makefile for dcltrf
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

SRCNAME = dcltrf.f
BINNAME = dcltrf$(EXT)

all: $(LBINDIR)/$(BINNAME)

$(LBINDIR)/$(BINNAME): $(BINNAME)
	@echo "Installing executable program $(BINNAME) into local bin directory"
	@$(CP) $(BINNAME) $(LBINDIR)/$(BINNAME)

$(BINNAME): $(SRCNAME)
	$(FC) $(FFLAGS) -o $(BINNAME) $(SRCNAME) -L$(LLIBDIR) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) *.o *~ $(BINNAME) core

=== src/misc1/bitlib/Makefile ===
#
#       Makefile for bitlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= bitlib
LIBFSRCS	= bitpic.f bitpci.f gbyte.f gbytes.f sbyte.f sbytes.f
LIBCSRCS	= iand.c ior.c ishift.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= bitpic.o bitpci.o gbyte.o gbytes.o sbyte.o sbytes.o
LIBCOBJS	= iand.o ior.o ishift.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/misc1/randlib/Makefile ===
#
#       Makefile for randlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= randlib
LIBFSRCS	= rngu1.f rngu2.f rngu3.f
LIBCSRCS	= rngu0.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= rngu1.o rngu2.o rngu3.o
LIBCOBJS	= rngu0.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl-g77 (5.3.1-2) unstable; urgency=low

  * Package name is changed. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 20 Jul 2005 13:06:37 +0900

dcl-g77 (5.3.1-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 14 Jul 2005 12:57:16 +0900

dcl-g77 (5.3-2) unstable; urgency=low

  *  xlibs-dev is added as Depends package.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 22 Mar 2005 16:25:58 +0900

dcl-g77 (5.3-1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 18 Nov 2004 20:55:09 +0900

dcl-g77 (5.2-7sarge-pre1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 23 Jun 2004 19:06:05 +0900

dcl-g77 (5.2-8) unstable; urgency=low

  * Intel Fortran Compiler ver.8 (8.0.039) support. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Sun, 21 Mar 2004 22:26:06 +0900

dcl-g77 (5.2-7) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  8 Jan 2004 15:04:09 +0900	
  * Fujitsu Fortran Compiler ver.4 support.  	

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 20:39:45 +0900
	
  * Intel Fortran Compiler ver.7 support.
  * Fujitsu Fortran Compiler ver.3 support  

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Tue,  7 Jan 2003 15:35:34 +0900

dcl-g77 (5.2-6) unstable; urgency=low

  * dvlop/pslib/dcl-psrmcm bug fixed.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  7 Jun 2002 19:24:34 +0900

dcl-g77 (5.2-5) unstable; urgency=low

  * Intel Fortran Compiler ver.6 support. 

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sun,  5 May 2002 02:56:00 +0900

dcl-g77 (5.2-4) unstable; urgency=low

  * Utilities, demo programs are separated as a different package.
  * Dependency of ffc(Fujitsu Fortran compiler) removed.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 21 Nov 2001 12:25:53 +0900

dcl-g77 (5.2-3) unstable; urgency=low

  * Names of the binaries changed to treat different compilers.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 19 Nov 2001 14:55:47 +0900

dcl-g77 (5.2-2) unstable; urgency=low

  * Include dvlop/pslib to the installed binary package.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Mon, 19 Nov 2001 14:55:41 +0900

dcl-g77 (5.2-1) unstable; urgency=low

  * Initial Release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed,  1 Nov 2000 16:18:59 +0900

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dcl-g77
Section: math
Priority: optional
Maintainer: ODAKA Masatsugu <odakker@gfd-dennou.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: dcl-g77
Architecture: any
Depends: ${shlibs:Depends}, xlibs-dev (>=4.3.0)
Build-Depends: libgtk2.0-0, libgtk2.0-dev, g77
Suggests: g77, libgtk2.0-0, libgtk2.0-dev
Description: GFD-DENNOU Club Library (DCL) compiled by GNU Fortran77 compiler.
 DCL is a package of graphic and mathematical libraries based on Fortran 77 developed by GFD-Dennou Club (http://www.gfd-dennou.org/).
 It contains following libraries.
 * visualization libraries: wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries (FFT, Ordinary differential equation solver, Spherical harmonics analysis etc.)
 Original source codes can be downloaded from http://www.gfd-dennou.org/arch/dcl/.  

Package: dcl-util
Architecture: all
Suggests: dcl-ffc4, dcl-g77, dcl-ifc6, dcl-ifc7, dcl-ifc8
Description: Utilities for GFD-DENNOU Club Library (DCL).
 Dvlop and demo programs and utilities for handling ps files produced by DCL.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

### Fujitsu Fortran & C compiler #######################################
#
#EXT=ffc5
#FC=frt
#CC=fcc

### Intel Fortran compiler##############################################
### for ver.6, ver.7, and ver. 7.1
#EXT=ifc7
#FC=ifc
#CC=gcc
#FFLAGS=-O -Vaxlib -Qoption,ld,-Bdynamic
#
### for ver8 
#EXT=ifc8
#FC=ifort
#CC=gcc
#FFLAGS=-O -Qoption,ld,-Bdynamic

### GNU Fortran 77 compiler#############################################
#
EXT=g77
FC=g77
CC=gcc

### Package and prefix name ############################################
# 
PACKAGE=dcl-$(EXT)-5.3.1
UTILPACKAGE=dcl-util
PREFIXLIB=dcl-5.3.1-$(EXT)

########################################################################


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	#./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	(export CC=$(CC) ; export FC=$(FC) ; export FFLAGS='$(FFLAGS)' ; ./configure --prefix=/usr/lib/$(PREFIXLIB))
	

build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	$(MAKE)

	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/dcl.sgml > dcl.1

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp 
	rm -f build-indep-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/$(PREFIXLIB)/bin usr/lib/$(PREFIXLIB)/lib

	# Add here commands to install the package into debian/dcl.
	$(MAKE) install prefix=$(CURDIR)/debian/dcl-$(EXT)/usr/lib/$(PREFIXLIB)

	dh_movefiles --sourcedir=debian/dcl-$(EXT)

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_installdirs -p$(UTILPACKAGE) -Pdebian/dcl-util usr/bin
	(cd dvlop/pslib && $(MAKE) install prefix=../../debian/dcl-util/usr)
	# old pslib is moved (2005/07/20 ODAKA Masatsugu)
	mv dvlop/pslib .
	mv dvlop/old-pslib .
	dh_installdocs -p$(UTILPACKAGE) -Pdebian/dcl-util demo dvlop
	# old pslib is moved back (2005/07/20 ODAKA Masatsugu)
	mv pslib dvlop
	mv old-pslib dvlop
	dh_installdeb -p$(UTILPACKAGE) -Pdebian/dcl-util
	dpkg-gencontrol -isp -p$(UTILPACKAGE) -Pdebian/dcl-util
	chown -R root.root debian/dcl-util
	chmod -R go=rX debian/dcl-util
	dpkg --build debian/dcl-util ..

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_link usr/lib/$(PREFIXLIB)/bin/dclfrt  usr/bin/dclfrt.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclcc   usr/bin/dclcc.$(EXT)   \
                usr/lib/$(PREFIXLIB)/bin/dcldate usr/bin/dcldate.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclexec usr/bin/dclexec.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltone usr/bin/dcltone.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclver  usr/bin/dclver.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclclr  usr/bin/dclclr.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dcldbs  usr/bin/dcldbs.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/dclfont usr/bin/dclfont.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dclpara usr/bin/dclpara.$(EXT) \
                usr/lib/$(PREFIXLIB)/bin/dcltrf  usr/bin/dcltrf.$(EXT)  \
                usr/lib/$(PREFIXLIB)/bin/repsl   usr/bin/repsl.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclps2kdraw   usr/bin/dclps2kdraw.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpscat      usr/bin/dclpscat.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsfix      usr/bin/dclpsfix.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsfont     usr/bin/dclpsfont.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsmargin   usr/bin/dclpsmargin.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsmerge    usr/bin/dclpsmerge.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsnup      usr/bin/dclpsnup.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsrmcm     usr/bin/dclpsrmcm.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsrot      usr/bin/dclpsrot.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsselect   usr/bin/dclpsselect.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsseperate usr/bin/dclpsseperate.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsunrot    usr/bin/dclpsunrot.$(EXT) \
	usr/lib/$(PREFIXLIB)/bin/dclpsline     usr/bin/dclpsline.$(EXT)  
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep 
.PHONY: build clean binary-indep binary-arch binary install

## dcl-g77 5.3.1-3

=== Makefile ===
#
#       Makefile for dcl-5.3
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include Mkinclude

DIRSCLN 	= src demo
DIRSCLNA 	= src demo bin lib sys


all: mkldir object library dbase exec script

mkldir:
	@if (test ! -d $(LDBASEDIR)) then \
	  echo "Making directory $(LDBASEDIR)" ; \
	  mkdir $(LDBASEDIR); \
	fi 

object:
	@cd src ; \
	echo "Making object files..." ; \
	$(MAKE) object ; \
	cd ..

library:
	@cd src ; \
	echo "Making a library file..." ; \
	$(MAKE) library ; \
	cd ..

dbase:
	@cd src ; \
	echo "Making database..." ; \
	$(MAKE) dbase ; \
	cd ..

exec:
	@cd src ; \
	echo "Making exec files..." ; \
	$(MAKE) exec ; \
	cd ..

script:
	@cd bin ; \
	echo "Making command script files..." ; \
	$(MAKE) all ; \
	cd ..

install: mkdir libinstall bininstall

mkdir:
	@if (test ! -d $(prefix)) then \
	  echo "Making directory $(prefix)" ; \
	  mkdir $(prefix) ; \
	fi
	@if (test ! -d $(LIBDIR)) then \
	  echo "Making directory $(LIBDIR)" ; \
	  mkdir $(LIBDIR) ; \
	fi
	@if (test ! -d $(BINDIR)) then \
	  echo "Making directory $(BINDIR)" ; \
	  mkdir $(BINDIR) ; \
	fi
	@if (test ! -d $(INCDIR)) then \
	  echo "Making directory $(INCDIR)" ; \
	  mkdir $(INCDIR) ; \
	fi
	@if (test ! -d $(DBASEDIR)) then \
	  echo "Making directory $(DBASEDIR)" ; \
	  mkdir $(DBASEDIR) ; \
	fi

libinstall:
	@cd lib ; \
	echo "Installing lib..." ; \
	$(MAKE) install ; \
	cd ..

bininstall:
	@cd bin ; \
	echo "Installing bin..." ; \
	$(MAKE) install ; \
	cd ..

clean: clean.local clean.dir

distclean: clean.locala clean.dira

clean.all: clean.locala clean.dira

clean.local:
	$(RM) *~ *.aux

clean.locala:
	$(RM) *~ *.aux a.exe config.cache config.log config.status

clean.dir:
	@for i in $(DIRSCLN) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

clean.dira:
	@for i in $(DIRSCLNA) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) distclean ; \
	  cd .. ; \
	done

=== demo/math1/sublib/Makefile ===
#
#       Makefile for sublib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sublib
LIBSRCS		= subl01.f
LIBDEMO 	= subl01
LIBEXEC 	= subl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== src/math1/fnclib/Makefile ===
#
#       Makefile for fnclib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fnclib
LIBFSRCS	= igus.f imod.f rmod.f rexp.f rd2r.f rr2d.f rfpi.f
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= igus.o imod.o rmod.o rexp.o rd2r.o rr2d.o rfpi.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl-g77 (5.3.1-3) unstable; urgency=low

  * debina/control is modified: Depends: gtk 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 21 Jul 2005 11:11:46 +0900

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 
 Package: dcl-g77
 Architecture: any
-Depends: ${shlibs:Depends}, xlibs-dev (>=4.3.0)
-Build-Depends: libgtk2.0-0, libgtk2.0-dev, g77
-Suggests: g77, libgtk2.0-0, libgtk2.0-dev
+Depends: ${shlibs:Depends}, xlibs-dev (>=4.1.0-16woody6), g77, libgtk2.0-dev
+Suggests: 
 Description: GFD-DENNOU Club Library (DCL) compiled by GNU Fortran77 compiler.
  DCL is a package of graphic and mathematical libraries based on Fortran 77 developed by GFD-Dennou Club (http://www.gfd-dennou.org/).
  It contains following libraries.

## dcl-g77 5.3.1-4

=== debian/changelog ===
dcl-g77 (5.3.1-4) unstable; urgency=low

  * Suggest package list in dcl-util package is mnodified.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon,  8 Aug 2005 15:03:27 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: dcl-g77
 Architecture: any
-Depends: ${shlibs:Depends}, xlibs-dev (>=4.1.0-16woody6), g77, libgtk2.0-dev
+Depends: ${shlibs:Depends}, xlibs-dev (>=4.3.0), g77, libgtk2.0-dev
 Suggests: 
 Description: GFD-DENNOU Club Library (DCL) compiled by GNU Fortran77 compiler.
  DCL is a package of graphic and mathematical libraries based on Fortran 77 developed by GFD-Dennou Club (http://www.gfd-dennou.org/).
@@ -18,7 +18,7 @@
 
 Package: dcl-util
 Architecture: all
-Suggests: dcl-ffc4, dcl-g77, dcl-ifc6, dcl-ifc7, dcl-ifc8
+Suggests: dcl-ffc5 | dcl-g77 | dcl-ifc8.1
 Description: Utilities for GFD-DENNOU Club Library (DCL).
  Dvlop and demo programs and utilities for handling ps files produced by DCL.
